Subject: Re: [PATCH 2/2] niu: improve ethtool support for gigabit copper cards

From: Ben Hutchings <[email-masked]>
Date: Tue, 17 Feb 2009 13:53:57 +0000

On Tue, 2009-02-17 at 15:43 +0400, Constantin Baranov wrote:
> Introduced support for link speed and duplex setting (ethtool -s),
> link advertising parameters and autonegotiation (ethtool -r):
[...]

I haven't looked closely at this, but is there anything here that can't
be handled by mii_get_settings() and other functions in the mii driver?

Ben.

-- 
Ben Hutchings, Senior Software Engineer, Solarflare Communications
Not speaking for my employer; that's the marketing department's job.
They asked us to note that Solarflare product names are trademarked.